(function($, window, undefined){


	/**
	*	Plugin ...
	*
	*/
	$.fn.createCarousel = function(config){
		
		var $this = $(this),
			$this_ul = $( '#'+$this.attr('id') + ' ul'),
			ulSize,
			divSize
		;

		config 					= 	config || {};
		config.step 			= 	config.step || 1;
		config.visible 			= 	config.visible || 1;
		config.step 			= 	config.visible;

		config.current 			= 	config.current || 0;
		config.maximum 			= 	config.maximum || $('#my_carousel ul li').size();
		config.speed 			= 	config.speed || 200;
		config.liSize 			= 	config.liSize || 331;
		config.carousel_height 	= 	config.carousel_height || 161;

		ulSize 					= 	config.liSize * config.maximum;   
		divSize 				= 	config.liSize * config.visible;  
		
		$this_ul.css("width", ulSize+"px").css("left", -(config.current * config.liSize)).css("position", "absolute");
		$this.css("width", divSize+"px").css("height", config.carousel_height+"px").css("visibility", "visible").css("overflow", "hidden").css("position", "relative"); 
		
		$('.btnnext').click(function() { 
		    if(config.current + config.step < 0 || config.current + config.step > config.maximum - config.visible) 
		    { 
		        config.current = 0;
		    }
		    else 
		    {
		        config.current = config.current + config.step;
		        $('#my_carousel ul').animate({left: -(config.liSize * config.current)}, config.speed, null);
		    }

		    $('#my_carousel ul').animate({left: -(config.liSize * config.current)}, config.speed, null);
		    return false;
		});
		
		$('.btnprev').click(function() { 
		    if(config.current - config.step < 0 || config.current - config.step > config.maximum - config.visible) 
		    {
		        config.current = config.maximum-1;
		    }
		    else 
		    {
		        config.current = config.current - config.step;
		    }

		    $('#my_carousel ul').animate({left: -(config.liSize * config.current)}, config.speed, null);
		    return false;
		});


	};

	

})(jQuery, window);